Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.score.constraint
Class ConstraintOccurrence

    java.lang.Object
      org.drools.planner.core.score.constraint.ConstraintOccurrence

All Implemented Interfaces:
  Serializable, Comparable<ConstraintOccurrence>

Direct Known Subclasses:
  DoubleConstraintOccurrence, IntConstraintOccurrence, LongConstraintOccurrence, UnweightedConstraintOccurrence

    public abstract class ConstraintOccurrence

extends Object
implements Comparable<ConstraintOccurrence>, Serializable

See Also:
  Serialized Form

Field Summary
`protected Object[]` | `causes`
`protected ConstraintType` | `constraintType`
`protected String` | `ruleId`

Constructor Summary
`ConstraintOccurrence(String ruleId, ConstraintType constraintType, Object... causes)`
`ConstraintOccurrence(String ruleId, Object... causes)`

Method Summary
`int` | `compareTo(ConstraintOccurrence other)`
`boolean` | `equals(Object o)`
`Object[]` | `getCauses()`
`ConstraintType` | `getConstraintType()`
`String` | `getRuleId()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ruleId

    protected String ruleId

### constraintType

    protected ConstraintType constraintType

### causes

    protected Object[] causes

Constructor Detail

### ConstraintOccurrence

    public ConstraintOccurrence(String ruleId,
                                Object... causes)

### ConstraintOccurrence

    public ConstraintOccurrence(String ruleId,
                                ConstraintType constraintType,
                                Object... causes)

Method Detail

### getRuleId

    public String getRuleId()

### getConstraintType

    public ConstraintType getConstraintType()

### getCauses

    public Object[] getCauses()

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### compareTo

    public int compareTo(ConstraintOccurrence other)

  Specified by:
    `compareTo` in interface `Comparable<ConstraintOccurrence>`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.